# Ext: sg_jobs 

<img src="https://www.sgalinski.de/typo3conf/ext/project_theme/Resources/Public/Images/logo.svg" />

License: [GNU GPL, Version 2](https://www.gnu.org/licenses/gpl-2.0.html)

Repository: https://gitlab.sgalinski.de/typo3/sg_jobs

Please report bugs here: https://gitlab.sgalinski.de/typo3/sg_jobs

TYPO3 version: >7.6 

## About
This extension provides job application functionality for a TYPO3 installation.

### Features:
* Creating jobs, including related details like companies and contacts
* Applying for the created jobs
* Applications include file uploads
* Every application is saved conveniently in a CSV format, along with the 
uploaded files
* Sends mail notifications when applications are submitted

## Integration
Typoscript files need to be included manually.

```
plugin.tx_sgjobs {
	settings {
		allowedFileExtensions - allowed file extensions for the uploads (default pdf)
		allowedMimeTypes - allowed mime types for the uploads (default application/pdf)
	}
}
```

## Backend Module
The Backend module is found in the **WEB** section under the name **Job Offers**.

You can create a new job offer by clicking on the **New Job Offer** button.

## Defining a default Job (unsoliticed Application)
In your typoscript settings you can set a job offer, which will be used for all **unsoliticed Applications**.
If nothing is set, unsolicited applications are not connected to any job offer.

```
	settings.defaultJobId = 1
``` 

## Setting the contact email
When a user applies to a job offer an email will be send. The adress of this email comes either from the
**contact person** assigned to the job, ot if no contact person is set, you can set a default contact person
in your TypoScript settings:

```
	settings.defaultContactId = 1
```  

Simply supply the uid of the contact record and every job without a contact person will use the desired contact.

## Setting the record page id for the Joblist plugin
You need to set the id of the page (or sys folder) where you store all your job offers, contacts and locations.
To do this you can select the page/folder as Record Storage Page in the plugin settings.

## Job form page 
When inserting the joblist plugin on a page, make sure to select the page which 
contains the application form from 
Plugin -> Plugin Options -> Page containing the application form

## Automated Email Messages

The extension uses **sg_mail** to configure email templates.

##.htaccess

The folder which contains the applications folder should be blocked from outside 
access from the .htaccess file. Example:

```
RedirectMatch 403 ^/fileadmin/JobApplication/.*$
```
